Bug 171839 - CAN-2005-1705 gdb arbitrary command execution
CAN-2005-1705 gdb arbitrary command execution
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnston
impact=low,public=20050525,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 17:54 EDT by Jeff Johnston
Modified: 2008-05-09 13:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:21:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnston 2005-10-26 17:54:23 EDT
+++ This bug was initially created as a clone of Bug #171824 +++

gdb before 6.3 searches the current working directory to load the
.gdbinit configuration file, which allows local users to execute
arbitrary commands as the user running gdb.

More information can be found in the gentoo BTS:
http://bugs.gentoo.org/show_bug.cgi?id=88398
Comment 1 Jeff Johnston 2005-10-26 17:55:47 EDT
Fix can be found in: gdb-6.3.0.0-1.84
Comment 2 Fedora Update System 2005-10-27 13:08:35 EDT
From User-Agent: XML-RPC

gdb-6.3.0.0-1.84 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Bill Nottingham 2006-09-21 22:21:24 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.